QGIS Application - Bug report #14792
Memory leak with big Shapefile
2016-05-09 05:28 AM - Michael Douchin

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:2.14.2 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 22749
Description

I have just found a memory leak in QGIS Desktop (and server) with the project available in [1] (a 20Mo tar.bz2 )

This is a very simple project with only one buildings Shapefile ( SHP 68Mo). This layer has been exported from PostGIS from a query
wich aimed to simplify the building for fast rendering.

The geometries have been simplified ( | used SnapToGrid, then (St_Dump(St_Union(a.geom))) to remove as many nodes as possible )

The layers has ~ 700 000 features.

steps to reproduce the bug, and the precautions to take :

- open the project in QGIS 2.14 ( | have not tested with older versions)

- open a terminal and use this kind of command to monitor QGIS memory consumption : htop, or ps with
watch -n1 'ps -aux --sort -pmem | head -5'

- Navigate through the project by zooming in and out, pan, etc. | think you emphasize the memory leak by displaying the layer at small
scale ( with many buildings displayed)

- Be aware that this will increase the memory, so keep an eye on the memory consumption so that your system has enough free
memory to work properly.

| have no memory leak when using the same dataset in PostGIS ( tested by importing the Shapefile in PostGIS with shape2pgsq| )

[1] https://framadrop.org/r/_7VsZtvzdU#+eJHHPPOIdVcgj/AUp8V91TIMEgmO7/XCh6uOhzP7ro=

History

#1 - 2016-05-23 11:34 AM - Giovanni Manghi
- Status changed from Open to Feedback

fixed in master, correct?

#2 - 2016-05-26 05:40 AM - Michael Douchin
- Priority changed from High to Normal
- Status changed from Feedback to Closed
https://framadrop.org/r/_7VsZtvzdU#+eJHHPPOIdVcgj/AUp8V91T9m6gmO7/XCh6uOhzP7ro=

It has indeed been fixed in master and backported to release 2.14
